package navigation

import (
	"github.com/vugu/vgrouter"
	"github.com/vugu/vugu"
)

type SidebarEntry struct {
	vgrouter.NavigatorRef
	AttrMap vugu.AttrMap

	SymbolSlot  vugu.Builder // Slot for the symbol.
	DefaultSlot vugu.Builder // Slot for the text and other stuff. Should be a div element!

	URL string
}

func (c *SidebarEntry) handleClick(event vugu.DOMEvent) {
	c.Navigate(c.URL, nil)
}
